<?
require_once("include/functions.php");
require_once("include/config.php");

dbconn(true);

if ($CURUSER["view_torrents"]!="yes" && $CURUSER["view_forum"]!="yes")
   {
   header(ERR_500);
   die;
}

header('Content-type: text/xml');

?>

<rss version="2.0">
<channel>
<title><?print $SITENAME;?></title>
<description>rss feed script designed and coded by beeman (modified by Lupin and VisiGod)</description>
<link><?print $BASEURL;?></link>
<lastBuildDate><?print date("D, d M Y H:i:s T");?></lastBuildDate>
<copyright><?print "(c) ". date("Y",time())." " .$SITENAME;?></copyright>

<?

if ($CURUSER["view_torrents"]=="yes")
{
//XBT
//  $getItems = "SELECT namemap.info_hash as id, namemap.comment as description, namemap.filename, summary.seeds AS seeders, summary.leechers, UNIX_TIMESTAMP( namemap.data ) as added, categories.name as cname, namemap.size FROM summary LEFT JOIN namemap ON summary.info_hash = namemap.info_hash LEFT JOIN categories ON categories.id = namemap.category $where ORDER BY data DESC LIMIT 20";
 $getItems = "SELECT namemap.info_hash as id, namemap.comment as description, namemap.filename, summary.seeds+ifnull(xbt_files.seeders,0) AS seeders, summary.leechers+ifnull(xbt_files.leechers,0), UNIX_TIMESTAMP( namemap.data ) as added, categories.name as cname, namemap.size FROM summary LEFT JOIN namemap ON summary.info_hash = namemap.info_hash LEFT JOIN categories ON categories.id = namemap.category LEFT JOIN xbt_files ON summary.info_hash=hex(xbt_files.info_hash) $where ORDER BY data DESC LIMIT 20";
//
  $doGet=mysql_query($getItems) or die(mysql_error());;

  while($item=mysql_fetch_array($doGet))
   {
    $id=$item['id'];
    $filename=strip_tags($item['filename']);
    $added=strip_tags(date("d/m/Y H:i:s",$item['added']));
    $descr=format_comment($item['description']."\n");
    $seeders=strip_tags($item['seeders']);
    $leechers=strip_tags($item['leechers']);
    // output to browser

?>

  <item>
  <title><?print htmlentities("[".TORRENT."] ".$filename,ENT_QUOTES,"ISO8859-15");?></title>
  <description><?print htmlentities($descr,ENT_QUOTES,"ISO8859-15")." (".SEEDERS." "./htmlentities($seeders,ENT_QUOTES)." -- ".LEECHERS.htmlentities($leechers,ENT_QUOTES);?>)</description>
  <link><?print $BASEURL;?>/details.php?id=<?print $id;?></link>
  <pubDate><?print $added;?></pubDate>
  </item>

<?
  }
}
// forums
if ($CURUSER["view_forum"]=="yes")
{
  $getItems = "select topics.id as topicid, posts.id as postid, forums.name, users.username,topics.subject,posts.added, posts.body from topics inner join posts on posts.topicid=topics.id inner join forums on topics.forumid=forums.id inner join users on users.id=posts.userid ORDER BY added DESC LIMIT 100";
  $doGet=mysql_query($getItems) or die(mysql_error());

  while($item=mysql_fetch_array($doGet))
   {
    $topicid=$item['topicid'];
    $postid=$item['postid'];
    $forum=strip_tags($item['name']);
    $subject=strip_tags($item['subject']);
    $added=strip_tags(date("d/m/Y H:i:s",$item['added']));
    $body=format_comment("[b]Author: ".$item['username']."[/b]\n\n".$item['body']."\n");
    // output to browser
    $link=htmlspecialchars($BASEURL."/forum.php?action=viewtopic&topicid=$topicid&page=p$postid#$postid");
?>

  <item>
  <title><?print htmlentities("[".FORUM."] ".$forum." - ".$subject,ENT_QUOTES,"ISO8859-15");?></title>
  <description><?print htmlentities($body,ENT_QUOTES,"ISO8859-15"); ?></description>
  <link><?print $link;?></link>
  <pubDate><?print $added;?></pubDate>
  </item>

<?
    }
}

?>
</channel>
</rss>
